Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.stereotype
Annotation Type Repository

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    @Documented
    @Component
    public @interface Repository

Indicates that an annotated class is a "Repository" (or "DAO").

A class thus annotated is eligible for Spring `DataAccessException` translation. The annotated class is also clarified as to its role in the overall application architecture for the purpose of tools, aspects, etc.

As of Spring 2.5, this annotation also serves as a specialization of `@Component`, allowing for implementation classes to be autodetected through classpath scanning.

Since:
  2.0
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `Component`, `ClassPathBeanDefinitionScanner`

Optional Element Summary
`String` | `value` The value may indicate a suggestion for a logical component name, to be turned into a Spring bean in case of an autodetected component.

### value

    public abstract String value

  The value may indicate a suggestion for a logical component name, to be turned into a Spring bean in case of an autodetected component.

  Returns:
    the suggested component name, if any
  Default:
    ""

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT